OGRE: Ogre::DefaultSceneManagerFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::DefaultSceneManagerFactory Class Reference
Core | Component » Scene

Factory for default scene manager. More...

`#include <OgreSceneManagerEnumerator.h>`

Inheritance diagram for Ogre::DefaultSceneManagerFactory:
[legend]

## Public Member Functions
| DefaultSceneManagerFactory ()
| ~DefaultSceneManagerFactory ()
SceneManager * | createInstance (const String &instanceName, size_t numWorkerThreads)
| Create a new instance of a SceneManager. More...
void | destroyInstance (SceneManager *instance)
| Destroy an instance of a SceneManager. More...
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Static Public Attributes
static const String | FACTORY_TYPE_NAME
| Factory type name. More...

## Detailed Description

Factory for default scene manager.

## Constructor & Destructor Documentation

## ◆ DefaultSceneManagerFactory()

Ogre::DefaultSceneManagerFactory::DefaultSceneManagerFactory | ( |  | ) |
| inline

## ◆ ~DefaultSceneManagerFactory()

Ogre::DefaultSceneManagerFactory::~DefaultSceneManagerFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ createInstance()

SceneManager* Ogre::DefaultSceneManagerFactory::createInstance | ( | const String & | instanceName,
|  | size_t | numWorkerThreads
| ) |  |
| virtual

Create a new instance of a SceneManager.

Remarks
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implements Ogre::SceneManagerFactory.

## ◆ destroyInstance()

void Ogre::DefaultSceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |
| virtual

Destroy an instance of a SceneManager.

Implements Ogre::SceneManagerFactory.

## ◆ getMetaData()

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const
| inlinevirtualinherited

Get information about the SceneManager type created by this factory.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

const String Ogre::DefaultSceneManagerFactory::FACTORY_TYPE_NAME
| static

Factory type name.

The documentation for this class was generated from the following file:

- OgreSceneManagerEnumerator.h